> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bunny.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Collection List



## OpenAPI

````yaml https://video.bunnycdn.com/openapi/bunnynet-video-api.public.json get /library/{libraryId}/collections
openapi: 3.0.0
info:
  title: Stream API
  termsOfService: https://bunny.net/tos
  contact:
    name: bunny.net
    url: https://docs.bunny.net
    email: support@bunny.net
  version: 1.5.5
servers:
  - url: https://video.bunnycdn.com
security: []
tags:
  - name: Manage Collections
  - name: Manage Videos
paths:
  /library/{libraryId}/collections:
    get:
      tags:
        - Manage Collections
      summary: Get Collection List
      operationId: Collection_List
      parameters:
        - name: libraryId
          in: path
          required: true
          schema:
            type: integer
            format: int64
          x-position: 1
        - name: page
          in: query
          schema:
            type: integer
            format: int32
            default: 1
          x-position: 2
        - name: itemsPerPage
          in: query
          schema:
            type: integer
            format: int32
            default: 100
          x-position: 3
        - name: search
          in: query
          schema:
            type: string
            default: ''
            nullable: true
          x-position: 4
        - name: orderBy
          in: query
          schema:
            type: string
            default: date
            nullable: true
          x-position: 5
        - name: includeThumbnails
          in: query
          schema:
            type: boolean
            default: false
          x-position: 6
      responses:
        '200':
          description: The list of videos for the current parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginationListOfCollectionModel'
        '401':
          description: The request authentication failed
        '500':
          description: Internal Server Error
      security:
        - AccessKey: []
components:
  schemas:
    PaginationListOfCollectionModel:
      type: object
      additionalProperties: false
      properties:
        totalItems:
          type: integer
          description: The total number of items that can be returned
          format: int64
        currentPage:
          type: integer
          description: The current page of the response
          format: int64
        itemsPerPage:
          type: integer
          description: The number of items returned per page
          format: int32
        items:
          type: array
          description: The result items on the current result
          nullable: true
          items:
            $ref: '#/components/schemas/CollectionModel'
    CollectionModel:
      type: object
      additionalProperties: false
      properties:
        videoLibraryId:
          type: integer
          description: The video library ID that contains the collection
          format: int64
        guid:
          type: string
          description: The unique ID of the collection
          nullable: true
        name:
          type: string
          description: The name of the collection
          nullable: true
        videoCount:
          type: integer
          description: The number of videos that the collection contains
          format: int64
        totalSize:
          type: integer
          description: The total storage size of the collection
          format: int64
        previewVideoIds:
          type: string
          description: The IDs of videos to be used as preview icons
          nullable: true
        previewImageUrls:
          type: array
          description: The URLs of preview images of videos in the collection
          nullable: true
          items:
            type: string
  securitySchemes:
    AccessKey:
      type: apiKey
      description: AccessKey based authentication
      name: AccessKey
      in: header

````